## dbus 1.12.20.6

=== debian/changelog ===
dbus (1.12.20.6-1+deepin) unstable; urgency=medium

  * fix CVE-2022-42010 CVE-2022-42011 CVE-2022-42012.
  * 

 --  yanghaibo<yanghaibo@uniontech.com>  Mon, 17 Oct 2022 16:39:44 +0800

dbus (1.12.20.5-0+deb10u1+rebuild) buster; urgency=medium

  * if sender sid2 not exist, use sender sid instead.

 -- zhoupeng <zhoupeng@uniontech.com>  Sat, 20 Aug 2022 11:06:45 +0800

dbus (1.12.20.4-0+deb10u1+rebuild) buster; urgency=medium

  * kernel selinux setenforce,getenforce, netlink notify dbus-daemon.

 -- zhoupeng <zhoupeng@uniontech.com>  Sat, 20 Aug 2022 11:06:45 +0800

dbus (1.12.20.3-0+deb10u1+rebuild) buster; urgency=medium

  * Do avc check for sid2 just only if the msgtype is method_call.

 -- zhoupeng <zhoupeng@uniontech.com>  Mon, 1 Aug 2022 20:35:45 +0100

dbus (1.12.20.2-0+deb10u1+rebuild) buster; urgency=medium

  * Remove the avc check for sid of sender to sid2 of receiver.

 -- zhoupeng <zhoupeng@uniontech.com>  Thu, 28 Jul 2022 17:10:45 +0100

dbus (1.12.20.1-0+deb10u1+rebuild) buster; urgency=medium

  * Extend selinux sid2 for bus connection.

 -- zhoupeng <zhoupeng@uniontech.com>  Wed, 20 Jul 2022 17:10:45 +0100

dbus (1.12.20-0+deb10u1+rebuild) buster; urgency=medium

  * New upstream stable release
    - CVE-2020-12049: Prevent a denial of service attack in which a local
      user can make the system dbus-daemon run out of file descriptors
    - Prevent use-after-free if two usernames share a uid
    - d/p/dbus-daemon-test-Don-t-test-fd-limits-if-in-an-unprivileg.patch:
      Drop patch, applied upstream.
  * d/gbp.conf: Configure for debian/buster

 -- Simon McVittie <smcv@debian.org>  Sun, 05 Jul 2020 17:10:45 +0100
