## dbus 1.12.22

=== debian/changelog ===
dbus (1.12.22-1.0nosystemd1) unstable; urgency=medium

  * add runit scripts
  * remove hard dependency on libsystemd0/libelogind0 

 -- anticapitalista <antix@operamail.com>  Fri, 25 Feb 2022 23:19:39 +0200

dbus (1.12.22-1) unstable; urgency=medium

  * New upstream bug fix release
    - No longer logs warnings about /proc/self/oom_score_adj with
      systemd >= 250 (Closes: #1004543)
    - Improve reproducibility of documentation
  * Drop patch for #1005889, included upstream

 -- Simon McVittie <smcv@debian.org>  Fri, 25 Feb 2022 17:38:58 +0000

dbus (1.12.20-4) unstable; urgency=medium

  * Use debhelper 13 instead of dh-exec where possible.
    We still need to use dh-exec to filter files that are only installed
    on Linux systems, but we no longer need it for ${DEB_HOST_MULTIARCH}
    substitution.
  * d/control: Build-depend on valgrind-if-available.
    Thanks to Adam Borowski
  * Add a patch to ensure the dbus-daemon is running for an integration test.
    Hopefully closes: #1005889
  * Update Lintian overrides syntax

 -- Simon McVittie <smcv@debian.org>  Mon, 21 Feb 2022 12:31:27 +0000
