## dbus 1.12.28

=== debian/changelog ===
dbus (1.12.28-0+deb11u1devuan1) chimaera-proposed-updates; urgency=medium

  * Merge debian 1.12.28-0+deb11u1.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 09 Sep 2023 17:41:50 +0100

dbus (1.12.28-0+deb11u1) bullseye; urgency=medium

  * New upstream stable release 1.12.26
    - Fixes a denial of service issue that is not relevant for the way
      we compile dbus in Debian
  * New upstream stable release 1.12.28
    - Fixes a denial of service issue if the root or messagebus user is
      monitoring messages on the system bus with the Monitoring interface
      (dbus-monitor, busctl monitor, gdbus monitor or similar)
      (Closes: #1037151)

 -- Simon McVittie <smcv@debian.org>  Tue, 06 Jun 2023 15:07:35 +0100

dbus (1.12.24-0+deb11u1devuan1) chimaera-security; urgency=medium

  * Merge debian 1.12.24-0+deb11u1.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 07 Oct 2022 09:14:54 +0100

dbus (1.12.20-2+devuan2) unstable; urgency=medium

  * d/control: dbus-x11 Provides default-dbus-session-bus on Devuan.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 11 Jun 2021 17:48:01 +0100

dbus (1.12.20-2+devuan1) unstable; urgency=medium

  * Merge debian/1.12.20-2.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 04 Mar 2021 10:48:33 +0000

dbus (1.12.20-1+devuan1) unstable; urgency=medium

  * Merge Debian version 1.12.20-1.
  * d/control:
    - update Vcs-* urls following Gitea migration
    - correct upstream URL scheme (lost in previous merge).

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 03 Jul 2020 12:42:27 +0100

dbus (1.12.18-1+devuan1) unstable; urgency=medium

  * Merge Debian 1.12.18-1.
  * Fix system-bus autopackage test detection of systemd (Closes: #469).
  * Add lsb-base dependency for initscript (lintian).

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 08 Jun 2020 12:01:21 +0100

dbus (1.12.16-2+devuan1) unstable; urgency=medium

  * Merge Debian version 1.12.16-2.
  * d/control:
     - update Vcs-* fields
     - add Origin: Devuan
     - add myself to uploaders
  * d/gbp.conf: add default debian-tag.  

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 09 Apr 2020 10:57:04 +0100

dbus (1.12.16-1+devuan2) unstable; urgency=medium

  * remove errant new line

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Wed, 26 Jun 2019 19:05:40 +1200

dbus (1.12.16-1+devuan1) unstable; urgency=medium

    [ Daniel Reurich ]
  * Merge 1.12.16-1 from Debian
  * Update maintainer to team maintainers.

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Wed, 26 Jun 2019 18:46:01 +1200

dbus (1.12.12-1+devuan3) unstable; urgency=medium

  [ KatolaZ ]
  * use PIDDIR as a better proxy of first run in initscript
  * add documentation for IDTYPE

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Tue, 12 Mar 2019 06:12:53 +0000

dbus (1.12.12-1+devuan2) unstable; urgency=medium

  * change check on uptime for machine-id replacement 

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Fri, 08 Mar 2019 21:47:37 +0000

dbus (1.12.12-1+devuan1) unstable; urgency=medium

  * add option to re-generate /var/lib/dbus/machine-id at boot 

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Fri, 08 Mar 2019 19:30:33 +0000

dbus (1.12.10-1+devuan1) unstable; urgency=medium

  * merged 1.12.10 into unstable

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Tue, 06 Nov 2018 17:27:23 +0000
