=== debian/control ===
--- 
+++ 
@@ -1,14 +1,26 @@
 Source: dbus
 Section: admin
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
-Uploaders:
- Sjoerd Simons <sjoerd@debian.org>,
- Sebastian Dröge <slomo@debian.org>,
- Michael Biebl <biebl@debian.org>,
- Loic Minier <lool@dooz.org>,
- Simon McVittie <smcv@debian.org>,
-Build-Depends:
+Maintainer: Devuan Maintainers <devuan-dev@lists.dyne.org>
+Uploaders: Denis Roio <jaromil@dyne.org>,
+    Mark (LeePen) Hindley <mark@hindley.org.uk>,
+    Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>,
+    Daniel Reurich <daniel@centurion.net.nz>
+# The following packages can be omitted for bootstrapping, but provide extra
+# features:
+#   libapparmor-dev
+#   libaudit-dev
+#   libcap-ng-dev
+# The following packages can be omitted for bootstrapping, but provide extra
+# debugging support in /usr/lib/*/dbus-1.0/debug-build:
+#   valgrind
+# The following packages can be omitted for bootstrapping, but improve test
+# coverage:
+#   libglib2.0-dev
+#   python
+#   python-dbus (circular dependency)
+#   python-gobject
+Build-Depends: 
  autoconf-archive (>= 20150224),
  automake,
  debhelper-compat (= 12),
@@ -20,7 +32,6 @@
  libglib2.0-dev <!nocheck> <!noinsttest>,
  libnss-wrapper <!nocheck>,
  libselinux1-dev [linux-any],
- libsystemd-dev [linux-any],
  libx11-dev,
  pkg-config,
  python3 <!nocheck> <!noinsttest>,
@@ -34,8 +45,9 @@
  xsltproc <!nodoc>,
  yelp-tools <!nodoc>,
 Standards-Version: 4.5.1
-Vcs-Git: https://salsa.debian.org/utopia-team/dbus.git -b debian/bullseye
-Vcs-Browser: https://salsa.debian.org/utopia-team/dbus
+Vcs-Git: https://git.devuan.org/devuan/dbus.git
+Vcs-Browser: https://git.devuan.org/devuan/dbus
+Origin: Devuan
 Homepage: https://dbus.freedesktop.org/
 Rules-Requires-Root: no
 
@@ -53,6 +65,7 @@
  ${misc:Pre-Depends},
 Depends:
  adduser,
+ lsb-base,
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
@@ -141,54 +154,12 @@
  for use in the Debian installer. It can run a session bus, but is not
  suitable for use as a system bus.
 
-Package: dbus-user-session
-Architecture: linux-any
-Multi-Arch: foreign
+Package: dbus-x11
+Architecture: any
+Section: x11
 Provides:
  dbus-session-bus,
  default-dbus-session-bus,
-Pre-Depends:
- ${misc:Pre-Depends},
-Depends:
- dbus (>= ${source:Version}),
- libpam-systemd,
- systemd,
- ${misc:Depends},
-Recommends:
- systemd-sysv,
-Breaks:
- dbus-x11 (<< 1.9.10-2~),
- policykit-1 (<< 0.105-12~),
- udisks2 (<< 2.1.5-2~),
-Description: simple interprocess messaging system (systemd --user integration)
- D-Bus is a message bus, used for sending messages between applications.
- Conceptually, it fits somewhere in between raw sockets and CORBA in
- terms of complexity.
- .
- On systemd systems, this package opts in to the session model in which
- a user's session starts the first time they log in, and does not end
- until all their login sessions have ended. This model merges all
- parallel non-graphical login sessions (text mode, ssh, cron, etc.), and up
- to one graphical session, into a single "user-session" or "super-session"
- within which all background D-Bus services are shared.
- .
- Multiple graphical sessions per user are not currently supported in this
- mode; as a result, it is particularly suitable for gdm, which responds to
- requests to open a parallel graphical session by switching to the existing
- graphical session and unlocking it.
- .
- To retain dbus' traditional session semantics, in which login sessions
- are artificially isolated from each other, remove this package and install
- dbus-x11 instead.
- .
- See the dbus package description for more information about D-Bus in general.
-
-Package: dbus-x11
-Architecture: any
-Section: x11
-Provides:
- dbus-session-bus,
- default-dbus-session-bus [!linux-any],
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
